#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1
%define shared_desktop_ontologies_version 0.11.0

%define upstream_name kdepim-runtime

Name:           kdepim-runtime
Summary:        K Desktop Environment
Epoch:          2
Version: 23.04.1
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2
URL:            https://kontact.kde.org
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{upstream_name}-%{version}.tar.xz

# Upstream patches

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5NetworkAuth)
BuildRequires: pkgconfig(Qt5XmlPatterns)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5WebEngine)
BuildRequires: pkgconfig(Qt5WebEngineWidgets)
BuildRequires: pkgconfig(Qt5TextToSpeech)

BuildRequires: kf5-macros

# KF5 package
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5ConfigWidgets)
BuildRequires: cmake(KF5NotifyConfig)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5ItemModels)
BuildRequires: cmake(KF5Codecs)
BuildRequires: cmake(KF5WindowSystem)
BuildRequires: cmake(KF5TextWidgets)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5Holidays)

# KdepimLibs package
BuildRequires: cmake(KF5Akonadi)
BuildRequires: cmake(KF5Mime)
BuildRequires: cmake(KF5AkonadiMime)
BuildRequires: cmake(KF5AkonadiCalendar)
BuildRequires: cmake(KF5MailTransport)
BuildRequires: cmake(KF5IdentityManagement)
BuildRequires: cmake(KF5AkonadiContact)
BuildRequires: cmake(KF5Contacts)
BuildRequires: cmake(KF5CalendarCore)
BuildRequires: cmake(KF5CalendarUtils)
BuildRequires: cmake(KF5Mbox)
BuildRequires: cmake(KF5PimTextEdit)
BuildRequires: cmake(KF5IMAP)
BuildRequires: cmake(KF5Syndication)
BuildRequires: cmake(KF5AkonadiNotes)
BuildRequires: cmake(KF5DAV)
BuildRequires: cmake(KF5PimCommon)

# Extra package: likgapi support
BuildRequires: cmake(KPimGAPI)

BuildRequires: cmake(Libkolabxml)

BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libxslt)
BuildRequires: xsltproc
BuildRequires: boost-devel
BuildRequires: gdbm-devel
BuildRequires: pkgconfig(libsasl2)
BuildRequires: pkgconfig(libsignon-qt5) >= 8.56
BuildRequires: pkgconfig(accounts-qt5) >= 1.11
BuildRequires: pkgconfig(qca2-qt5)

# Branch patchs (100-200)

# Trunk patchs (200-300)
# Mageia/Fedora/others patchs (300-400)

%description
Information Management applications for the K Desktop Environment runtime libs.

#-----------------------------------------------------------------------------

%package -n akonadi-kde
Summary:        Akonadi control center for KDE
Group:          Graphical desktop/KDE
Requires:       akonadi >= 1:1.2.1
Requires:       mysql-client
Requires:       akonadi-contacts
Requires:       qca-qt5
Requires:       libkgapi

Provides:       kio5-pop3 = %epoch:%version-%release

%description -n akonadi-kde
Akonadi control center for KDE.

%files -n akonadi-kde -f %name.lang
%license LICENSES/*.txt
%_kf5_bindir/*
%_kf5_categoriesdir/kdepim-runtime.*categories
%_kf5_datadir/mime/packages/kdepim-mime.xml
%_kf5_datadir/akonadi/agents/*.desktop
%_kf5_datadir/akonadi/accountwizard/*
%dir %_qt5_plugindir/pim5/akonadi/config
%_qt5_plugindir/pim5/akonadi/config/*.so
%_kf5_plugindir/kio/akonadi.so
%_kf5_datadir/akonadi/firstrun/*
%_kf5_datadir/dbus-1/interfaces/org.kde.Akonadi.Maildir.Settings.xml
%_kf5_datadir/dbus-1/interfaces/org.kde.Akonadi.MixedMaildir.Settings.xml
%_kf5_iconsdir/*/*/*/*
%_kf5_knotificationsdir/*.notifyrc
%_kf5_services/akonadi/*/*.desktop
%_kf5_applicationdir/org.kde.akonadi_davgroupware_resource.desktop
%_kf5_applicationdir/org.kde.akonadi_google_resource.desktop
%_kf5_applicationdir/org.kde.akonadi_imap_resource.desktop
%_kf5_applicationdir/org.kde.akonadi_kolab_resource.desktop

# kcmldap
%_qt5_plugindir/pim5/kcms/kaddressbook/kcm_ldap.so

#------------------------------------------------------------------------------

%define akonadi_singlefileresource_major 5
%define libakonadi_singlefileresource %mklibname akonadi-singlefileresource %{akonadi_singlefileresource_major}

%package -n %libakonadi_singlefileresource
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libakonadi_singlefileresource
KDEPIM library.

%files -n %libakonadi_singlefileresource
%_kf5_libdir/libakonadi-singlefileresource.so.%{akonadi_singlefileresource_major}{,.*}

#------------------------------------------------------------------------------

%define maildir_major 5
%define libmaildir %mklibname maildir %{maildir_major}

%package -n %libmaildir
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libmaildir
KDEPIM library.

%files -n %libmaildir
%_kf5_libdir/libmaildir.so.%{maildir_major}{,.*}

#------------------------------------------------------------------------------

%define akonadi_filestore_major 5
%define libakonadi_filestore %mklibname akonadi-filestore %{akonadi_filestore_major}

%package -n %libakonadi_filestore
Summary:        Akonadi filestore library
Group:          System/Libraries

%description -n %libakonadi_filestore
Akonadi filestore library.

%files  -n %libakonadi_filestore
%_kf5_libdir/libakonadi-filestore.so.%{akonadi_filestore_major}{,.*}

#------------------------------------------------------------------------------

%define kminexreader_major 5
%define libkmindexreader %mklibname kmindexreader %kminexreader_major

%package -n %libkmindexreader
Summary:        KDEPIM Runtime library
Group:          System/Libraries

%description -n %libkmindexreader
KDEPIM Runtime library.

%files -n %libkmindexreader
%_kf5_libdir/libkmindexreader.so.%{kminexreader_major}{,.*}

#------------------------------------------------------------------------------

%define folderarchivesettings_major 5
%define libfolderarchivesettings %mklibname folderarchivesettings %folderarchivesettings_major

%package -n %libfolderarchivesettings
Summary:        KDEPIM Runtime library
Group:          System/Libraries

%description -n %libfolderarchivesettings
KDEPIM Runtime library.

%files -n %libfolderarchivesettings
%_kf5_libdir/libfolderarchivesettings.so.%{folderarchivesettings_major}{,.*}

#------------------------------------------------------------------------------

%package        handbook
Summary:        Kdepim-runtime Handbook
Group:          Documentation
BuildArch:      noarch

%description    handbook
This package provides kioslave handbook for pop3.

%files handbook
%{_kf5_docdir}/HTML/*/kioslave5/pop3/

#------------------------------------------------------------------------------

%prep
%setup -q -n %{upstream_name}-%{version}
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Fri May 26 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1958161
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946473
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941766
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922886
- New version 22.12.0

* Thu Dec 01 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1913680
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905231
- New version 22.08.3

* Fri Sep 16 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1889353
- New version 22.08.1

* Thu Sep 01 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883237
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873049
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1853942
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1849448
- New version 22.03.90

* Sat Jan 01 2022 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1765696
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724041
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718328
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698525
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694059
- New version 20.12.2

* Mon Dec 14 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1657206
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1643973
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633788
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627031
- New version 20.08.1

* Thu Aug 20 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1617072
- New version 20.08.0

* Thu Aug 06 2020 daviddavid <daviddavid> 2:20.04.3-2.mga8
+ Revision: 1611431
- add upstream patch to fix CVE-2020-15954 kde#423426 (mga#27035)

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604097
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596830
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584480
- New version 20.04.1

* Sun Apr 19 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1569576
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559300
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540786
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513270
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1466919
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457874
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447742
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1424969
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390424
- New version 19.04.0
- New version 19.04.00

* Fri Apr 12 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1389307
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1382266
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375568
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365543
- New version 18.12.2

* Wed Jan 23 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1360031
- New version 18.12.1

* Mon Jan 07 2019 daviddavid <daviddavid> 2:18.12.0-4.mga7
+ Revision: 1350767
- akonadi-kde require libkgapi

* Thu Dec 27 2018 daviddavid <daviddavid> 2:18.12.0-3.mga7
+ Revision: 1345201
- new upstream tarball to Fix Bug 396820 (Buttons in new mail notifications don't work)
- backport some others upstream branch fixes

* Fri Dec 21 2018 daviddavid <daviddavid> 2:18.12.0-2.mga7
+ Revision: 1343978
- enable Qca-qt5 and Qt5NetworkAuth support
+ neoclust <neoclust>
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332722
- New version 18.08.3

* Mon Nov 19 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1331884
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298494
- Mageia 7 Mass Rebuild

* Mon Jul 02 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1241325
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201872
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194894
- New version 17.12.1

* Sun Jan 07 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1191211
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143017
- New version 17.08.0

* Wed Aug 09 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1139294
- New version 17.07.90

* Sat Jul 29 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1132342
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090051
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076787
- New version 16.12.0

* Sun Dec 18 2016 daviddavid <daviddavid> 2:16.11.90-2.mga6
+ Revision: 1075844
- akonadi-kde: do not require anymore libkfbapi (it is still part of KDE4/Qt4)

* Sat Dec 17 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1075768
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067318
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061376
- New version 16.08.2

* Wed Sep 28 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1057178
- Do not build on armv5tl

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050643
- New version 16.08.1

* Thu Sep 01 2016 neoclust <neoclust> 2:16.08.0-4.mga6
+ Revision: 1049671
- Fix BRs for armv5tl

* Fri Aug 26 2016 daviddavid <daviddavid> 2:16.08.0-3.mga6
+ Revision: 1049146
- kio5-pop3 requires akonadi-contacts

* Thu Aug 25 2016 daviddavid <daviddavid> 2:16.08.0-2.mga6
+ Revision: 1048741
- pop3 kioslave files should be in kio5-pop3 subpackage

* Wed Aug 24 2016 daviddavid <daviddavid> 2:16.08.0-1.mga6
+ Revision: 1048197
- add subpackage kio5-pop3 no more provided by kdepimlibs
- add subpackage kdepim-runtime-handbook and conflicts kdepimlibs-handbooks
+ neoclust <neoclust>
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040043
- New version 16.04.3
- New version 16.04.2

* Thu Jun 09 2016 daviddavid <daviddavid> 2:16.04.1-2.mga6
+ Revision: 1020936
- enable KF5GAPI support

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012529
- New version 16.04.1

* Tue Apr 26 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1006539
- New version 16.04.0

* Sat Apr 02 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997599
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 2:15.12.3-1.mga6
+ Revision: 991167
- New version 15.12.3

* Thu Mar 10 2016 neoclust <neoclust> 2:15.12.2-2.mga6
+ Revision: 988731
- Do not use %%rename, use Obsoletes instead

* Tue Mar 08 2016 neoclust <neoclust> 2:15.12.2-1.mga6
+ Revision: 987436
- New version 15.12.2

* Sun Jan 24 2016 luigiwalser <luigiwalser> 2:15.12.1-2.mga6
+ Revision: 926755
- obsolete kdepim4-runtime-devel

* Wed Jan 13 2016 neoclust <neoclust> 2:15.12.1-1.mga6
+ Revision: 922605
- New version 15.12.1
- Fix upgrade

* Sat Dec 26 2015 neoclust <neoclust> 2:15.12.0-1.mga6
+ Revision: 915047
- New version 15.12.0

* Fri Dec 11 2015 neoclust <neoclust> 2:15.11.80-3.mga6
+ Revision: 909537
- Rebuild as previous rpm as been rejected

* Fri Dec 11 2015 shlomif <shlomif> 2:15.11.80-2.mga6
+ Revision: 909476
- Rebuild for new deps
+ neoclust <neoclust>
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 2:15.08.3-1.mga6
+ Revision: 901124
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 2:15.08.2-1.mga6
+ Revision: 890604
- New version 15.08.2

* Sat Sep 19 2015 neoclust <neoclust> 2:15.08.1-1.mga6
+ Revision: 881072
- New version 15.08.1

* Fri Sep 11 2015 neoclust <neoclust> 2:15.08.0-1.mga6
+ Revision: 877116
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 2:15.07.90-3.mga6
+ Revision: 863850
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 2:15.07.90-2.mga6
+ Revision: 862278
- Add obsoletes to ease upgrade

* Sun Aug 09 2015 neoclust <neoclust> 2:15.07.90-1.mga6
+ Revision: 861748
- New version 15.07.90

* Thu Jul 30 2015 neoclust <neoclust> 2:15.07.80-3.mga6
+ Revision: 859123
- Provides kdepim-runtime-devel

* Wed Jul 29 2015 neoclust <neoclust> 2:15.07.80-2.mga6
+ Revision: 858825
- Fix devel package name

* Wed Jul 29 2015 neoclust <neoclust> 2:15.07.80-1.mga6
+ Revision: 858823
- imported package kdepim-runtime

